<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>echo2.xml</name>
  <program_name>echo2.xml</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>main_widget</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkHBox</class>
      <name>hbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkVBox</class>
	<name>vbox2</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>Custom</class>
	  <name>custom1</name>
	  <width>21</width>
	  <height>16</height>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_toggle_button:echoed</handler>
	    <last_modification_time>Fri, 30 Jun 2000 21:10:09 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_button_create_func</creation_function>
	  <string1>bluetone/echo.xpm:bluetone/echo-active.xpm:bluetone/echo.xpm:bluetone/echo-active.xpm</string1>
	  <int1>1</int1>
	  <int2>0</int2>
	  <last_modification_time>Fri, 19 May 2000 23:46:03 GMT</last_modification_time>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkSpinButton</class>
	<name>spinbutton2_greenbutton</name>
	<tooltip>number of beats per line</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>value_changed</name>
	  <handler>gdam_skin_adjustment:beat_factor:force</handler>
	  <last_modification_time>Tue, 07 Mar 2000 23:50:00 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>activate</name>
	  <handler>gdam_skin_defocus_on_activate</handler>
	  <last_modification_time>Thu, 13 Apr 2000 21:56:02 GMT</last_modification_time>
	</signal>
	<climb_rate>1</climb_rate>
	<digits>0</digits>
	<numeric>False</numeric>
	<update_policy>GTK_UPDATE_ALWAYS</update_policy>
	<snap>False</snap>
	<wrap>False</wrap>
	<value>1</value>
	<lower>0</lower>
	<upper>4</upper>
	<step>1</step>
	<page>1</page>
	<page_size>10</page_size>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox1</name>
	<tooltip>volume factor, or total volume if normalized</tooltip>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkToggleButton</class>
	  <name>togglebutton2_greenbutton</name>
	  <tooltip>toggle reverb</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_toggle_button:reverb</handler>
	    <last_modification_time>Sun, 05 Mar 2000 22:19:34 GMT</last_modification_time>
	  </signal>
	  <label>R</label>
	  <active>False</active>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>somehbox</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkDrawingArea</class>
	    <name>drawing_area_echo_viewport</name>
	    <width>80</width>
	    <height>40</height>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_fir_filter_drawing_area</handler>
	      <last_modification_time>Sat, 19 Feb 2000 21:35:45 GMT</last_modification_time>
	    </signal>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkVScrollbar</class>
	    <name>vscrollbar1_greenrange</name>
	    <tooltip>grid zoom level</tooltip>
	    <signal>
	      <name>value_changed</name>
	      <handler>gdam_fir_filter_line_width_adjustment</handler>
	      <last_modification_time>Tue, 07 Mar 2000 23:40:43 GMT</last_modification_time>
	    </signal>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>2</value>
	    <lower>1</lower>
	    <upper>12</upper>
	    <step>1</step>
	    <page>4</page>
	    <page_size>1</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
